<html>
<head>
<title>Ogre::Degree Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Degree.html">Degree</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Degree Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Degree" -->
<p>Wrapper class which indicates a given angle value is in Degrees.  
 <a href="classOgre_1_1Degree.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Degree-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aa8919fdf01749e0e692842be2a7c4a8e">Degree</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> d=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a38f343d7b34d2239c9c5ec7270639b86">Degree</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a70c2e6332981d0932d3ee75b8460cb7d">operator=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a1fa8bd1b85a6346de4570c8c7580988f">operator=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a88066c650a6e3e2033a9d74820569063">operator=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a0230e0c3390b44757acf1d6a40ec82c6">valueDegrees</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gabb43fc06a3c963e8ba7aa96614d3a620">valueRadians</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga03857af7d94a567b27545a1f28a432e6">valueAngleUnits</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a56b9ef16ee2705bbc92b2e8b079b596f">operator+</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a0ae679724486648018f2302228b42851">operator+</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a3c1311db4ff00eae0ec789a2554cebf6">operator+</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a0487bcf629d0f637293a6e23d3542ad6">operator+=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a58a04cfaf38cca2eff31bfa35c7e47db">operator+=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a7a6b950ba624d62c971fea03466e7333">operator-</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aaeab42e1bc6392ec82bd3da8d655a1bf">operator-</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#ac9b1dcc9166654d6c46db32f4fffb576">operator-</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a133b76b6d58f5ce8f8e8ea55c04932e0">operator-=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#adb219a3126dceab35444e0d792108ce9">operator-=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aa1448e83f524b89eb6480e7b736ae68c">operator*</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a3eea49dc4efc9b91865726d0f2b5f785">operator*</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;f) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a6f72e59f38d57cd7e680a49b9cb9d2c0">operator*=</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a8766c6fff5a12b102427faf228e0a9cc">operator/</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a502f121976cd95de2817ddb9b9ac1730">operator/=</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aa804b980ae15f2269efbe9a5628b2a74">operator&lt;</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aa6571c77db42c899d4fd1ce1899486d3">operator&lt;=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#ac7fdbdf93b40d63acd507aa7ce3d5f24">operator==</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a2cd29ec57a50ddb062f5ee1dd4ac59a4">operator!=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aaea0b9a47bc137d887ce4b2f2a3d33b3">operator&gt;=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a8f8322dc7cb6985ebaeb33667c273cd1">operator&gt;</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aad1507c8247ab1109233b7abc07039d3">mDeg</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a06ce30cb04785abd837cc94bf76b05de">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;v)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Wrapper class which indicates a given angle value is in Degrees. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> values are interchangeable with <a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> values, and conversions will be done automatically between them. </dd></dl>

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00097">97</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa8919fdf01749e0e692842be2a7c4a8e"></a><!-- doxytag: member="Ogre::Degree::Degree" ref="aa8919fdf01749e0e692842be2a7c4a8e" args="(Real d=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html#aa8919fdf01749e0e692842be2a7c4a8e">Ogre::Degree::Degree</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>d</em> = <code>0</code></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00102">102</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00122">operator*()</a>, <a class="el" href="OgreMath_8h_source.html#l00113">operator+()</a>, <a class="el" href="OgreMath_8h_source.html#l00117">operator-()</a>, and <a class="el" href="OgreMath_8h_source.html#l00125">operator/()</a>.</p>

</div>
</div>
<a class="anchor" id="a38f343d7b34d2239c9c5ec7270639b86"></a><!-- doxytag: member="Ogre::Degree::Degree" ref="a38f343d7b34d2239c9c5ec7270639b86" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html#aa8919fdf01749e0e692842be2a7c4a8e">Ogre::Degree::Degree</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00103">103</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2cd29ec57a50ddb062f5ee1dd4ac59a4"></a><!-- doxytag: member="Ogre::Degree::operator!=" ref="a2cd29ec57a50ddb062f5ee1dd4ac59a4" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00131">131</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="aa1448e83f524b89eb6480e7b736ae68c"></a><!-- doxytag: member="Ogre::Degree::operator*" ref="aa1448e83f524b89eb6480e7b736ae68c" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator* </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00122">122</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a3eea49dc4efc9b91865726d0f2b5f785"></a><!-- doxytag: member="Ogre::Degree::operator*" ref="a3eea49dc4efc9b91865726d0f2b5f785" args="(const Degree &amp;f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00123">123</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a6f72e59f38d57cd7e680a49b9cb9d2c0"></a><!-- doxytag: member="Ogre::Degree::operator*=" ref="a6f72e59f38d57cd7e680a49b9cb9d2c0" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator*= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00124">124</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a56b9ef16ee2705bbc92b2e8b079b596f"></a><!-- doxytag: member="Ogre::Degree::operator+" ref="a56b9ef16ee2705bbc92b2e8b079b596f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator+ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0ae679724486648018f2302228b42851"></a><!-- doxytag: member="Ogre::Degree::operator+" ref="a0ae679724486648018f2302228b42851" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00113">113</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a3c1311db4ff00eae0ec789a2554cebf6"></a><!-- doxytag: member="Ogre::Degree::operator+" ref="a3c1311db4ff00eae0ec789a2554cebf6" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00114">114</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>, and <a class="el" href="OgreMath_8h_source.html#l00690">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="a0487bcf629d0f637293a6e23d3542ad6"></a><!-- doxytag: member="Ogre::Degree::operator+=" ref="a0487bcf629d0f637293a6e23d3542ad6" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00115">115</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a58a04cfaf38cca2eff31bfa35c7e47db"></a><!-- doxytag: member="Ogre::Degree::operator+=" ref="a58a04cfaf38cca2eff31bfa35c7e47db" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00116">116</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>, and <a class="el" href="OgreMath_8h_source.html#l00690">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="a7a6b950ba624d62c971fea03466e7333"></a><!-- doxytag: member="Ogre::Degree::operator&#45;" ref="a7a6b950ba624d62c971fea03466e7333" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00117">117</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="aaeab42e1bc6392ec82bd3da8d655a1bf"></a><!-- doxytag: member="Ogre::Degree::operator&#45;" ref="aaeab42e1bc6392ec82bd3da8d655a1bf" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="ac9b1dcc9166654d6c46db32f4fffb576"></a><!-- doxytag: member="Ogre::Degree::operator&#45;" ref="ac9b1dcc9166654d6c46db32f4fffb576" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00119">119</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>, and <a class="el" href="OgreMath_8h_source.html#l00690">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="a133b76b6d58f5ce8f8e8ea55c04932e0"></a><!-- doxytag: member="Ogre::Degree::operator&#45;=" ref="a133b76b6d58f5ce8f8e8ea55c04932e0" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00120">120</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="adb219a3126dceab35444e0d792108ce9"></a><!-- doxytag: member="Ogre::Degree::operator&#45;=" ref="adb219a3126dceab35444e0d792108ce9" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00121">121</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>, and <a class="el" href="OgreMath_8h_source.html#l00690">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="a8766c6fff5a12b102427faf228e0a9cc"></a><!-- doxytag: member="Ogre::Degree::operator/" ref="a8766c6fff5a12b102427faf228e0a9cc" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator/ </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00125">125</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00102">Degree()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a502f121976cd95de2817ddb9b9ac1730"></a><!-- doxytag: member="Ogre::Degree::operator/=" ref="a502f121976cd95de2817ddb9b9ac1730" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator/= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00126">126</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="aa804b980ae15f2269efbe9a5628b2a74"></a><!-- doxytag: member="Ogre::Degree::operator&lt;" ref="aa804b980ae15f2269efbe9a5628b2a74" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00128">128</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="aa6571c77db42c899d4fd1ce1899486d3"></a><!-- doxytag: member="Ogre::Degree::operator&lt;=" ref="aa6571c77db42c899d4fd1ce1899486d3" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00129">129</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a70c2e6332981d0932d3ee75b8460cb7d"></a><!-- doxytag: member="Ogre::Degree::operator=" ref="a70c2e6332981d0932d3ee75b8460cb7d" args="(const Real &amp;f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00104">104</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a1fa8bd1b85a6346de4570c8c7580988f"></a><!-- doxytag: member="Ogre::Degree::operator=" ref="a1fa8bd1b85a6346de4570c8c7580988f" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00105">105</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a88066c650a6e3e2033a9d74820569063"></a><!-- doxytag: member="Ogre::Degree::operator=" ref="a88066c650a6e3e2033a9d74820569063" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00106">106</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>, and <a class="el" href="OgreMath_8h_source.html#l00690">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="ac7fdbdf93b40d63acd507aa7ce3d5f24"></a><!-- doxytag: member="Ogre::Degree::operator==" ref="ac7fdbdf93b40d63acd507aa7ce3d5f24" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00130">130</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a8f8322dc7cb6985ebaeb33667c273cd1"></a><!-- doxytag: member="Ogre::Degree::operator&gt;" ref="a8f8322dc7cb6985ebaeb33667c273cd1" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00133">133</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="aaea0b9a47bc137d887ce4b2f2a3d33b3"></a><!-- doxytag: member="Ogre::Degree::operator&gt;=" ref="aaea0b9a47bc137d887ce4b2f2a3d33b3" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00132">132</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

</div>
</div>
<a class="anchor" id="a0230e0c3390b44757acf1d6a40ec82c6"></a><!-- doxytag: member="Ogre::Degree::valueDegrees" ref="a0230e0c3390b44757acf1d6a40ec82c6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Degree.html#a0230e0c3390b44757acf1d6a40ec82c6">Ogre::Degree::valueDegrees</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00108">108</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00099">mDeg</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00249">Ogre::Math::Abs()</a>, <a class="el" href="OgreMath_8h_source.html#l00730">Ogre::operator*()</a>, <a class="el" href="OgreMath_8h_source.html#l00735">Ogre::operator/()</a>, <a class="el" href="OgreMath_8h_source.html#l00344">Ogre::Math::Sign()</a>, and <a class="el" href="OgreMath_8h_source.html#l00396">Ogre::Math::Sqrt()</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a06ce30cb04785abd837cc94bf76b05de"></a><!-- doxytag: member="Ogre::Degree::operator&lt;&lt;" ref="a06ce30cb04785abd837cc94bf76b05de" args="(std::ostream &amp;o, const Degree &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00136">136</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aad1507c8247ab1109233b7abc07039d3"></a><!-- doxytag: member="Ogre::Degree::mDeg" ref="aad1507c8247ab1109233b7abc07039d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Degree.html#aad1507c8247ab1109233b7abc07039d3">Ogre::Degree::mDeg</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00099">99</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00131">operator!=()</a>, <a class="el" href="OgreMath_8h_source.html#l00122">operator*()</a>, <a class="el" href="OgreMath_8h_source.html#l00124">operator*=()</a>, <a class="el" href="OgreMath_8h_source.html#l00113">operator+()</a>, <a class="el" href="OgreMath_8h_source.html#l00115">operator+=()</a>, <a class="el" href="OgreMath_8h_source.html#l00117">operator-()</a>, <a class="el" href="OgreMath_8h_source.html#l00120">operator-=()</a>, <a class="el" href="OgreMath_8h_source.html#l00125">operator/()</a>, <a class="el" href="OgreMath_8h_source.html#l00126">operator/=()</a>, <a class="el" href="OgreMath_8h_source.html#l00128">operator&lt;()</a>, <a class="el" href="OgreMath_8h_source.html#l00129">operator&lt;=()</a>, <a class="el" href="OgreMath_8h_source.html#l00104">operator=()</a>, <a class="el" href="OgreMath_8h_source.html#l00130">operator==()</a>, <a class="el" href="OgreMath_8h_source.html#l00133">operator&gt;()</a>, <a class="el" href="OgreMath_8h_source.html#l00132">operator&gt;=()</a>, <a class="el" href="OgreMath_8h_source.html#l00705">valueAngleUnits()</a>, <a class="el" href="OgreMath_8h_source.html#l00108">valueDegrees()</a>, and <a class="el" href="OgreMath_8h_source.html#l00700">valueRadians()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMath_8h_source.html">OgreMath.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
